Compile 1.7.1 error

Talk about building the software from source code, and any issues related.

Moderator: jesse

Post Reply
kokoko3k
Posts: 13
Joined: Mon Dec 03, 2012 9:23 am

Compile 1.7.1 error

Post by kokoko3k »

Hi, i'm facing a compilation problem with 1.7.1 and git versions, here's what happens:
out.txt.gz
Auto Build from source using archlinux package in AUR.
(8.49 KiB) Downloaded 750 times
Any hint?
GCC is 4.9.0 20140507

PS: 1.7.0 build fine

Thanks!

jesse
Posts: 517
Joined: Sat Sep 06, 2008 9:46 am
Contact:

Re: Compile 1.7.1 error

Post by jesse »

That should be fixed in the git repo.... are you sure you pulled the latest when you tried it? I do need to make a new tar ball release though, once we're sure it can be built with all versions of wxWidgets..

kokoko3k
Posts: 13
Joined: Mon Dec 03, 2012 9:23 am

Re: Compile 1.7.1 error

Post by kokoko3k »

MMh, thanks for looking into this.
The build process stil fails, but it seems for different reason now:
out2.txt.gz
new build try
(13.51 KiB) Downloaded 755 times
I'm using the git package from aur (you used arch in the past, right?)

kokoko3k
Posts: 13
Joined: Mon Dec 03, 2012 9:23 am

Re: Compile 1.7.1 error

Post by kokoko3k »

I'm a bit lost, are you sure you pushed the fixes to git?
Last commit i see on github was dated Apr 11, 2014

jesse
Posts: 517
Joined: Sat Sep 06, 2008 9:46 am
Contact:

Re: Compile 1.7.1 error

Post by jesse »

That's correct, the initial error you posted was already fixed in git back in April. That second error looks almost like some kind of wx misconfiguration... those constants have been in wx forever. I will try to build against wx2.8 here and see what happens.

kokoko3k
Posts: 13
Joined: Mon Dec 03, 2012 9:23 am

Re: Compile 1.7.1 error

Post by kokoko3k »

...indeed passing
"--with-wxconfig-path=/usr/bin/wx-config-2.8"
to the configure script works, thanks for pointing me.
It was failing with wx 3.0

jesse
Posts: 517
Joined: Sat Sep 06, 2008 9:46 am
Contact:

Re: Compile 1.7.1 error

Post by jesse »

Hmm, I definitely built against wx3!

Post Reply